Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4743/?format=api
{ "ob_id": 4743, "uuid": "90d1a5dc28950e26b33e2168557090bc", "title": "Convective Storm Initiation Project (CSIP) Project: University of Leeds radiosonde data from Bath, Chilbolton and Preston Farm sites.", "abstract": "The Convective Storm Initiation Project (CSIP) aimed to further the understanding of the mechanisms responsible for the initiation of precipitating convection in the maritime environment of southern England; i.e. to understand why convective clouds form and develop into precipitating clouds in a particular location. The project was centred on the 3 GHz (CAMRa) and 1275 clear-air (ACROBAT) radars at Chilbolton and used a number of the new UK Universities' Facility for Atmospheric Measurement (UFAM) mobile instruments. This dataset includes measurements of wind speeds and wind directions and aerosol concentrations.", "keywords": "CSIP, UFAM, AMF", "publicationState": "published", "dataPublishedTime": "2008-08-01T11:39:22", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4744/?format=api", "dataPath": "/badc/csip/data/leeds-radiosonde", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 57645601, "numberOfFiles": 219, "fileFormat": "Data are NASA Ames formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1346/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/829/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58215/?format=api" ], "dataLineage": "Data were collected by the collected by the instrument scientist before preparation and delivery to the Convective Storm Initiation Project (CSIP) participants and then to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3187/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4614/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21714/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21712/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21718/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21715/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21716/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21717/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21713/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21720/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54587/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4746/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }